package com.ywt.mg.domain.models.enums;

/**
 * @author: Walker
 * @date: 2018/12/29
 */
public enum ArticleAuditStatusEnum {
    AUDITING(0, "待审核"),
    AUDIT_FAILED(1, "审核不通过"),
    AUDIT_PASS(2, "审核通过");

    private int value;
    private String display;

    ArticleAuditStatusEnum(int value, String display) {
        this.value = value;
        this.display = display;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getDisplay() {
        return display;
    }

    public void setDisplay(String display) {
        this.display = display;
    }

    public static ArticleAuditStatusEnum valueOf(int value) {
        for (ArticleAuditStatusEnum articleAuditStatusEnum : values()) {
            if (articleAuditStatusEnum.value == value) {
                return articleAuditStatusEnum;
            }
        }
        return null;
    }
}

